Retrieves all territories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6c5e6c72-cce6-45a2-9d4f-c54dd0f242a2",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "bf10ca1a-49ca-491e-abb6-994ecb62fc31",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "9a349075-16cd-42a6-9909-7424ba3b97e1",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "b2ce4fd8-d790-4858-9bd7-3c18d1152a1c",
    "db_currency_id": "71942a62-c408-4087-9b34-6b6d49885ad2",
    "db_language_id": "5715fdd6-8938-4c28-bd2c-4ea66570c1f8",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-28T21:50:57.5429201+00:00"
  },
  "modified_dateutc": "2026-10-28T21:50:57.5429201+00:00"
}